<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: CytoskeletonController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">CytoskeletonController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/controllers/cytoskeleton_controller_rb.html">
                app/controllers/cytoskeleton_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000063">areas</a>&nbsp;&nbsp;
      <a href="#M000066">close_details</a>&nbsp;&nbsp;
      <a href="#M000061">index</a>&nbsp;&nbsp;
      <a href="#M000065">instructions</a>&nbsp;&nbsp;
      <a href="#M000060">new</a>&nbsp;&nbsp;
      <a href="#M000067">open_details</a>&nbsp;&nbsp;
      <a href="#M000062">update_areas</a>&nbsp;&nbsp;
      <a href="#M000064">ve_info</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Class methods</h3>

      <div id="method-M000060" class="method-detail">
        <a name="M000060"></a>

        <div class="method-heading">
          <a href="#M000060" class="method-signature">
          <span class="method-name">new</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000060-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000060-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 3</span>
 3:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">initialize</span>
 4:     <span class="ruby-ivar">@page_title1</span> = <span class="ruby-value str">&quot;Mwamko&quot;</span>
 5:     <span class="ruby-ivar">@page_title2</span> = <span class="ruby-node">&quot;
 6:           We&amp;rsquo;re running 
 7:           &lt;i&gt;Revision #{Development.revision}&lt;/i&gt;
 8:           in
 9:           &lt;i&gt;#{Development.owner}&lt;/i&gt;&quot;</span>
10:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000063" class="method-detail">
        <a name="M000063"></a>

        <div class="method-heading">
          <a href="#M000063" class="method-signature">
          <span class="method-name">areas</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000063-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000063-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 25</span>
25:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">areas</span>
26: 
27: 
28:     <span class="ruby-comment cmt"># poll is defined in ApplicationController</span>
29:     <span class="ruby-identifier">polling_results</span> = <span class="ruby-identifier">poll</span>
30: 
31: 
32:     <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">||=</span> []
33:     <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">polling_results</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-identifier">polling_results</span> <span class="ruby-operator">==</span> []
34: 
35:     <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>].<span class="ruby-identifier">flatten!</span>
36: 
37:     
38: 
39:     <span class="ruby-ivar">@areas</span> = {}
40:     <span class="ruby-ivar">@updated_on</span> = {}
41: 
42:     <span class="ruby-ivar">@areas</span>[<span class="ruby-value str">'templates'</span>], <span class="ruby-ivar">@updated_on</span>[<span class="ruby-value str">'templates'</span>] = <span class="ruby-identifier">template_items</span>
43:     <span class="ruby-ivar">@areas</span>[<span class="ruby-value str">'stopped'</span>], <span class="ruby-ivar">@updated_on</span>[<span class="ruby-value str">'stopped'</span>] = <span class="ruby-identifier">stopped_items</span>
44:     <span class="ruby-ivar">@areas</span>[<span class="ruby-value str">'started'</span>], <span class="ruby-ivar">@updated_on</span>[<span class="ruby-value str">'started'</span>] = <span class="ruby-identifier">started_items</span>
45: 
46:     <span class="ruby-ivar">@areas</span>[<span class="ruby-value str">'destroyed'</span>] = []
47: 
48:     <span class="ruby-identifier">last</span> = <span class="ruby-constant">VirtualEnvironment</span>.<span class="ruby-identifier">find_by_status</span>(<span class="ruby-value str">'destroyed'</span>,
49:                                              <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'updated_on DESC'</span>
50:                                              )
51:     <span class="ruby-ivar">@updated_on</span>[<span class="ruby-value str">'destroyed'</span>] = <span class="ruby-identifier">updated_on</span>(<span class="ruby-identifier">last</span>)
52: 
53: 
54:     <span class="ruby-ivar">@disk_spaces</span> = {}
55:     <span class="ruby-ivar">@uptime</span> = {}
56:     <span class="ruby-ivar">@memory</span> = {}
57:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000066" class="method-detail">
        <a name="M000066"></a>

        <div class="method-heading">
          <a href="#M000066" class="method-signature">
          <span class="method-name">close_details</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000066-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000066-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 85</span>
85:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">close_details</span>
86:     <span class="ruby-identifier">raise</span> <span class="ruby-value str">'No item specified'</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]
87:     
88:     <span class="ruby-ivar">@menu</span> = <span class="ruby-identifier">find_menu</span>
89:     
90:     <span class="ruby-comment cmt">#close the box for the given product</span>
91:     <span class="ruby-ivar">@menu</span>.<span class="ruby-identifier">item_state</span>[<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>].<span class="ruby-identifier">to_sym</span>] = <span class="ruby-value str">'closed'</span>
92:     
93:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:ve_info</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:veid</span>]
94:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000061" class="method-detail">
        <a name="M000061"></a>

        <div class="method-heading">
          <a href="#M000061" class="method-signature">
          <span class="method-name">index</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000061-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000061-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 12</span>
12:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">index</span>
13:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'areas'</span>
14:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000065" class="method-detail">
        <a name="M000065"></a>

        <div class="method-heading">
          <a href="#M000065" class="method-signature">
          <span class="method-name">instructions</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000065-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000065-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 75</span>
75:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">instructions</span>
76:     <span class="ruby-identifier">ve</span> = <span class="ruby-constant">VirtualEnvironment</span>.<span class="ruby-identifier">find_by_veid</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
77:     <span class="ruby-ivar">@ip</span> = <span class="ruby-identifier">ve</span>.<span class="ruby-identifier">ip</span>
78:     <span class="ruby-ivar">@uname</span> = <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:uname</span>]
79:     <span class="ruby-ivar">@rsa_fingerprint</span> = <span class="ruby-constant">OpenVZ</span>.<span class="ruby-identifier">rsa_fingerprint</span>(<span class="ruby-identifier">ve</span>.<span class="ruby-identifier">veid</span>)
80:     <span class="ruby-ivar">@dsa_fingerprint</span> = <span class="ruby-constant">OpenVZ</span>.<span class="ruby-identifier">dsa_fingerprint</span>(<span class="ruby-identifier">ve</span>.<span class="ruby-identifier">veid</span>)
81:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000067" class="method-detail">
        <a name="M000067"></a>

        <div class="method-heading">
          <a href="#M000067" class="method-signature">
          <span class="method-name">open_details</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000067-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000067-source">
<pre>
     <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 96</span>
 96:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">open_details</span>
 97:     <span class="ruby-identifier">raise</span> <span class="ruby-value str">'No item specified'</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]     
 98:     <span class="ruby-ivar">@menu</span> = <span class="ruby-identifier">find_menu</span>
 99:     
100:     <span class="ruby-comment cmt">#open the box for the given product</span>
101:     <span class="ruby-ivar">@menu</span>.<span class="ruby-identifier">item_state</span>[<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>].<span class="ruby-identifier">to_sym</span>] = <span class="ruby-value str">'opened'</span>
102:     
103:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:ve_info</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:veid</span>]
104:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000062" class="method-detail">
        <a name="M000062"></a>

        <div class="method-heading">
          <a href="#M000062" class="method-signature">
          <span class="method-name">update_areas</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000062-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000062-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 17</span>
17:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update_areas</span>
18:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">request</span>.<span class="ruby-identifier">xhr?</span>
19:       <span class="ruby-identifier">areas</span>
20:     <span class="ruby-keyword kw">else</span>
21:       <span class="ruby-identifier">raise</span> <span class="ruby-value str">'This only should be called by AJAX'</span>
22:     <span class="ruby-keyword kw">end</span>
23:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000064" class="method-detail">
        <a name="M000064"></a>

        <div class="method-heading">
          <a href="#M000064" class="method-signature">
          <span class="method-name">ve_info</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000064-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000064-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/cytoskeleton_controller.rb, line 60</span>
60:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">ve_info</span>
61:     <span class="ruby-ivar">@menu</span> = <span class="ruby-identifier">find_menu</span>
62: 
63:     <span class="ruby-keyword kw">begin</span>
64:       <span class="ruby-identifier">internal</span> = <span class="ruby-constant">Internal</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
65:     <span class="ruby-keyword kw">rescue</span> <span class="ruby-constant">MachineIsNotRunningError</span>, <span class="ruby-constant">MachineDoesNotExistError</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">msg</span>
66:       <span class="ruby-identifier">process_error</span>(<span class="ruby-identifier">msg</span>)
67:     <span class="ruby-keyword kw">else</span>
68:       <span class="ruby-ivar">@disk_spaces</span> = <span class="ruby-identifier">internal</span>.<span class="ruby-identifier">disk_spaces</span>
69:       <span class="ruby-ivar">@uptime</span> = <span class="ruby-identifier">internal</span>.<span class="ruby-identifier">uptime</span>
70:       <span class="ruby-ivar">@memory</span> = <span class="ruby-identifier">internal</span>.<span class="ruby-identifier">memory</span>
71:     <span class="ruby-keyword kw">end</span>
72:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>